aboutsummaryrefslogtreecommitdiffstats
path: root/main/nfs-utils/rpc.gssd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/nfs-utils/rpc.gssd.initd')
-rw-r--r--main/nfs-utils/rpc.gssd.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/main/nfs-utils/rpc.gssd.initd b/main/nfs-utils/rpc.gssd.initd
new file mode 100644
index 00000000000..f1b8f877456
--- /dev/null
+++ b/main/nfs-utils/rpc.gssd.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.11 2008/10/26 09:02:47 vapier Exp $
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting gssd"
+ start-stop-daemon --start --exec /usr/sbin/rpc.gssd -- ${OPTS_RPC_GSSD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gssd"
+ start-stop-daemon --stop --exec /usr/sbin/rpc.gssd
+ eend $?
+}